Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.qom
Class JcrPropertyExistence

    java.lang.Object
      org.modeshape.graph.query.model.PropertyExistence
          org.modeshape.jcr.query.qom.JcrPropertyExistence

All Implemented Interfaces:
  Serializable, PropertyExistence, Constraint, LanguageObject, Visitable, JcrConstraint

    public class JcrPropertyExistence

extends PropertyExistence
implements PropertyExistence, JcrConstraint

Implementation of the property existence constraint for the JCR Query Object Model and the Graph API.

See Also:
  Serialized Form

Constructor Summary
`JcrPropertyExistence(SelectorName selectorName, String propertyName)`

Method Summary
`String` | `getPropertyName()`
`String` | `getSelectorName()`

Methods inherited from class org.modeshape.graph.query.model.PropertyExistence
`accept, equals, hashCode, propertyName, selectorName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.modeshape.graph.query.model.Visitable
`accept`

Constructor Detail

### JcrPropertyExistence

    public JcrPropertyExistence(SelectorName selectorName,
                                String propertyName)

Parameters:
  `selectorName` -
  `propertyName` -

Method Detail

### getPropertyName

    public String getPropertyName()

  Specified by:
    `getPropertyName` in interface `PropertyExistence`
  See Also:
    `PropertyValue.getPropertyName()`

### getSelectorName

    public String getSelectorName()

  Specified by:
    `getSelectorName` in interface `PropertyExistence`
  See Also:
    `PropertyValue.getSelectorName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.